Skip to content

Get a bound MFA authentication factor

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the details of a user-bound MFA Factor based on Factor ID.

Method name

AuthenticationClient.getFactor

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
factorIdstringYes-MFA Factor ID6229ffaxxxxxxxxcade3e3d9

Sample code

ts
import { AuthenticationClient, Models } from "authing-node-sdk";

const authenticationClient = new AuthenticationClient({
  // Need to be replaced with your GenAuth AppId, Secret and Host
  appId: "GEN_AUTH_APP_ID",
  appSecret: "GEN_AUTH_APP_SECRET",
  appHost: "GEN_AUTH_APP_HOST",
});

(async () => {
  // Please call the login interface to get access_token first, and call the setAccessToken method to set access_token
  authenticationClient.setAccessToken("REPLACE_ME_WITH_REAL_ACCESS_TOKEN");

  const result = await authenticationClient.getFactor({
    factorId: "635391f4xxxxxx6bba26ed4|email",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: GetFactorRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a FactorDtoMFA Factor details

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "factorId": "6229ffaxxxxxxxxcade3e3d9",
    "factorType": "SMS",
    "profile": {
      "phoneNumber": "188xxxx8888",
      "phoneCountryCode": "+86"
    }
  }
}

Data structure

FactorDto

NameTypeIs it requiredDescriptionSample value
factorIdstringyesMFA authentication factor ID6229ffaxxxxxxxxcade3e3d9
factorTypestringyesMFA authentication factor typeOTP
profileobjectyesMFA authentication factor information{"phoneNumber":"188xxxx8888","phoneCountryCode":"+86"}

Agent infrastructure for identity, memory, and web action.